%global momorel 3

Summary: A software library for talking to the Creative Nomad Jukeboxes and Dell DJs
Name: libnjb
Version: 2.2.6
Release: %{momorel}m%{?dist}
License: BSD
URL: http://sourceforge.net/projects/libnjb/
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Source1: %{name}.rules
Source2: %{name}.perms
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: udev
Requires: pam
BuildRequires: libusb-devel
BuildRequires: doxygen
BuildRequires: pkgconfig

%description
Provides a user-level API (C library) for communicating with the
Creative Nomad JukeBox MP3 player under Linux and *BSD, as well
as simple command-line utilities to demonstrate the API functions.
This library works in user space.

%package devel
Summary: Header files and static libraries from libnjb
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on libnjb.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall pkgdocdir=`pwd`/installed-docs

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

# install udev rules file
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/rules.d/60-libnjb.rules

# install device permissions
mkdir -p %{buildroot}%{_sysconfdir}/security/console.perms.d/
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/security/console.perms.d/60-libnjb.perms

# install hal fdi file
mkdir -p %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop
install -m 644 libnjb.fdi %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libnjb.fdi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog* FAQ HACKING INSTALL LICENSE README
%config(noreplace) %{_sysconfdir}/udev/rules.d/60-libnjb.rules
%config(noreplace) %{_sysconfdir}/security/console.perms.d/60-libnjb.perms
%{_bindir}/njb-*
%{_libdir}/libnjb.so.*
%config(noreplace) %{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libnjb.fdi

%files devel
%defattr(-,root,root)
%doc installed-docs/*
%{_includedir}/libnjb.h
%{_libdir}/pkgconfig/libnjb.pc
%{_libdir}/libnjb.a
%{_libdir}/libnjb.so

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.6-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.6-2m)
- %%NoSource -> NoSource

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.6-1m)
- version 2.2.6
- update libnjb.rules from Fedora

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.5-4m)
- libnjb-devel Requires: pkgconfig

* Sun Jan 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.5-3m)
- get rid of *.la files

* Thu Jun 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.5-2m)
- import libnjb.rules and libnjb.perms from Fedora Core extras
 +* Wed Jan 25 2006 Linus Walleij <triad@df.lth.se> 2.2.4-2
 +- Fix udev problem, let go of hotplug, fix console perms.
 +- Still working on libusb vs udev issues.
- revise Summary

* Mon Jun 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.5-1m)
- initial package for amarok-1.4.1
- Summary and %%description are imported from cooker
